# $window-id(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$window-id - Current window identity

## SYNOPSIS

$window-id

## DESCRIPTION

$window-id retrieves the identity of the current window, this is a integer value (1..n) that is automatically allocated when a window is created using split-window-horizontally(2) or split-window-vertically(2).

The $window-id is guaranteed to be unique and is typically used in macros to locate a previous window.

## SEE ALSO

next-window(2), split-window-horizontally(2), split-window-vertically(2), $frame-id(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>